import type { ServiceScope } from '@microsoft/sp-core-library';
import { AadHttpClient, AadHttpClientFactory, type IAadTokenProvider } from '../index';
/**
 * This class is useful for modifying the internal ADAL.js implementation of the OAuth2TokenProvider.
 */
export default class MockAadHttpClientFactory extends AadHttpClientFactory {
    private _mockServiceScope;
    private _tokenProvider;
    constructor(serviceScope: ServiceScope, tokenProvider: IAadTokenProvider);
    /**
     * Returns an instance of the AadHttpClient that communicates with the current tenant's configurable
     * Service Principal.
     * @param resourceEndpoint - The target AAD application's resource endpoint.
     */
    getClient(resourceEndpoint: string): Promise<AadHttpClient>;
    /**
     * Returns an instance of the AadHttpClient that communicates with the preconfigured
     * Service Principal.
     * @param resourceEndpoint - The target AAD application's resource endpoint.
     * @internal
     */
    _getStandardClient(resourceEndpoint: string): Promise<AadHttpClient>;
}
//# sourceMappingURL=MockAadHttpClientFactory.d.ts.map