"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MockAadTokenProvider = void 0;
var tslib_1 = require("tslib");
var index_1 = require("../index");
/**
 * This class is useful for modifying the internal ADAL.js implementation of the OAuth2TokenProvider.
 */
var MockAadTokenProvider = /** @class */ (function (_super) {
    tslib_1.__extends(MockAadTokenProvider, _super);
    function MockAadTokenProvider(configuration) {
        var _this = _super.call(this, configuration) || this;
        if (configuration.getTokenImplementation) {
            _this._getTokenImplementation = configuration.getTokenImplementation;
        }
        return _this;
    }
    MockAadTokenProvider.prototype.getToken = function (resourceEndpoint, optionsOrUseCachedToken) {
        if (optionsOrUseCachedToken === void 0) { optionsOrUseCachedToken = true; }
        return this._getTokenImplementation
            ? this._getTokenImplementation(resourceEndpoint)
            : _super.prototype.getToken.call(this, resourceEndpoint, false);
    };
    return MockAadTokenProvider;
}(index_1.AadTokenProvider));
exports.MockAadTokenProvider = MockAadTokenProvider;
//# sourceMappingURL=MockAadTokenProvider.js.map